Skip to main content
GET
/
api
/
merchant
/
v2
/
coupons
/
validate
/
{coupon_code}
Validate coupon code
curl --request GET \
  --url https://mention-me.com/api/merchant/v2/coupons/validate/{coupon_code} \
  --header 'Authorization: Bearer <token>'
{
  "validityResponseCode": "<string>",
  "validityResponseDescription": null,
  "rewardType": null,
  "rewardAmount": null,
  "currencyCode": null,
  "description": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

RFC8725 Compliant JWT

Path Parameters

coupon_code
string
required

The coupon code to validate

Response

Coupon validation result with reward details

Validation status and reward details for a coupon code

validityResponseCode
string
required

System readable code indicating whether the coupon code is FOUND_REDEEMABLE, FOUND_NOT_REDEEMABLE or NOT_FOUND

validityResponseDescription
string | null

Human readable response indicating information about the code

rewardType
string | null

The type of reward (AMOUNT, PERCENTAGE, etc.)

rewardAmount
number<float> | null

The amount or percentage value of the reward

currencyCode
string | null

The currency code for the reward (e.g., GBP, USD)

description
string | null

Human-readable description of the reward

Last modified on March 31, 2026